GIT-WRITE-TREE(1)

NAME
git-write-tree - Creates a tree object from the current index

SYNOPSIS
git-write-tree [--missing-ok].sp

DESCRIPTION
Creates a tree object using the current index..sp The index must be in a fully merged state..sp Conceptually, git-write-tree sync()s the current index contents into a set of tree files. In order to have that match what is actually in your directory right now, you need to have done a git-update-index phase before you did the git-write-tree..sp

OPTIONS

--missing-ok
    Normally git-write-tree ensures that the objects referenced by the directory exist in the object database. This option disables this check.

AUTHOR
Written by Linus Torvalds <torvalds@osdl.org>.sp

DOCUMENTATION
Documentation by David Greaves, Junio C Hamano and the git-list <git@vger.kernel.org>..sp

GIT
Part of the git(7) suite.sp